#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n = 0;
    int m = 0;
    int druzeljubivost[100000] = {0};
    int poznanik1[100000] = {0};
    int poznanik2[100000] = {0};
    int sreca[100000] = {0};
    int ukupnaSreca = 0;

    cin >> n >> m;

    for(int i = 1; i <= n; i++)
    {
        cin >> druzeljubivost[i];
    }

    for(int i = 1; i <= m; i++)
    {
        cin >> poznanik1[i] >> poznanik2[i];
    }

    for(int i = 1; i <= n; i++)
    {
        for(int j = 1; j <= m; j++)
        {
            if(i == poznanik1[j])
            {
                if(druzeljubivost[i] > 0 && druzeljubivost[poznanik2[j]] > 0)
                {
                    sreca[i] += druzeljubivost[i];
                }

                if(druzeljubivost[i] < 0 && druzeljubivost[poznanik2[j]] < 0)
                {
                    sreca[i] -= druzeljubivost[i];
                }

                else
                {
                    if(abs(druzeljubivost[i]) > abs(druzeljubivost[poznanik2[j]]))
                    {
                        sreca[i] += abs(druzeljubivost[i]);
                    }

                    if(abs(druzeljubivost[i]) < abs(druzeljubivost[poznanik2[j]]))
                    {
                        sreca[i] -= abs(druzeljubivost[i]);
                    }
                }
            }

            if(i == poznanik2[j])
            {
                if(druzeljubivost[i] > 0 && druzeljubivost[poznanik1[j]] > 0)
                {
                    sreca[i] += druzeljubivost[i];
                }

                if(druzeljubivost[i] < 0 && druzeljubivost[poznanik1[j]] < 0)
                {
                    sreca[i] -= druzeljubivost[i];
                }

                else
                {
                    if(abs(druzeljubivost[i]) > abs(druzeljubivost[poznanik1[j]]))
                    {
                        sreca[i] += abs(druzeljubivost[i]);
                    }

                    if(abs(druzeljubivost[i]) < abs(druzeljubivost[poznanik1[j]]))
                    {
                        sreca[i] -= abs(druzeljubivost[i]);
                    }
                }
            }
        }
        ukupnaSreca += sreca[i];
    }

    cout << ukupnaSreca << endl;

    return 0;
}